{% extends 'blog/base.html' %}

{% block title %}| {{ object.title }}{% endblock title %}
	
{% block content %}

	<!-- Page Header -->
	<header class="masthead" style="background-image: url('{{ object.thumbnail.url }}')">
		<div class="overlay"></div>
		<div class="container">
			<div class="row">
				<div class="col-lg-8 col-md-10 mx-auto">
					<div class="site-heading">
						<h1 class="myfont">
							{{ object.title }}
							{% if article.is_special %}
								<span class="badge badge-danger" style="font-size: 16px;">ویژه</span>
							{% endif %}
						</h1>
						<time>{{ object.jpublish }}</time>
					</div>
				</div>
			</div>
		</div>
	</header>

	<article>
		<div class="container">
			<div class="row">
				<div class="col-lg-8 col-md-10 mx-auto text-justify myfont">
					
					{% if object.is_special %}
						
						{% if user.is_authenticated and user.is_vip_user or user == object.author or user.is_superuser %}
							{{ object.description|safe }}
						{% else %}
							{{ article.description|striptags|truncatewords:30 }}
							<p></p>
							<h4 class="alert alert-warning myfont text-center px-3">
								این یک مقاله ویژه هست.<br>
								برای مشاهده ادامه آن به اکانت ویژه خود <a href="{% url 'accounts:login' %}">وارد شوید</a> یا <a href="#">اشتراک ویژه بخرید</a>
							</h4>
						{% endif %}
							
					{% else %}
						{{ object.description|safe }}
					{% endif %}
						
				</div>
			</div>
		</div>
	</article>
{% endblock content %}
	